harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mikhail Fursov" <mike.fur...@gmail.com>
Subject Re: [classlib] Preprocessor - CHECKPOINT
Date Wed, 01 Nov 2006 14:22:49 GMT
On 11/1/06, Etienne Gagnon <egagnon@sablevm.org> wrote:
>
> Problem
> -------
> supporting a different API specifications/versions, such as j2me and
> j2se1.4, in addition to the "main" version (e.g. j2se1.5)
>
>
> Solution
> --------
>
> This is a trickier problem.  We can divide the problem at two main levels:
>
> 1- file/directory level
> 2- source-code level
>
> At the file/directory level, each version (e.g. j2me, j2se1.4, ...)
> might include additional files (relative to the main version), and might
> not include some files of the main version.  In other words, j2me might
> not contain database APIs.
>
> Managing file inclusion/exclusion can be done in various ways.


Just my $0.02: IMO it's unreal to support J2SE 1.4 & 1.5 in the same source.
Too many differences in the language due to generics. This example needs
branches & weekly manual merges (not a big problem imho)


-- 
Mikhail Fursov

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message